function _8g(a,b,d,e){GFd.call(this,a,b,d);this.a=e}
function g9g(){var a;a=new Aqg(5);Nr((Mfd(),a.gb),false);return a}
function Ffh(a){var b;if(!a.g){b=new h9g((w0i(qde(a.a)),snj(sde(a.a))));a.g=b}return a.g}
function Efh(a){var b;if(!a.f){b=new _8g(QEd(Nbe(a.a)),Ffh(a),Dfh(a),kLg(Gce(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.f=b}return a.f}
function h9g(){Nyf.call(this,F2b,gVd((u4g(),q4g),gM(H1c,Iwj,238,[t4g])));this.a=new D4g(F2b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
f3c(4499,1006,Kxj,_8g);_.Vi=function(){this.A.Ar()};_.Zi=function(){quf(this.a,this)};f3c(4502,2858,Nyj,h9g);_.Ah=function(){return Eyf(this)};_.xr=function(){return this.a};_.yr=function(){return A5j};_.Cr=function(){return null};_.Fr=function(){var a;a=new C2g(this,A5j,Gyf(this,null),this.k,this.s);return new O2g(this,A5j,null,g9g(),a,this.s)};_.Gr=function(){return g9g()};f3c(4572,1,qyj);_.pd=function(){yGd(this.b,Efh(this.a.a))};var z1b=wNd(4499),A1b=wNd(4502);ezj(hp)(17);